Project

General

Profile

Bug #3455

oi151a7 ldap_cachemgr ldap configuration problem

Added by Mariusz B almost 8 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
-
Start date:
2013-01-09
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

After successfully upgrading from oi148 to oi151a7 ldap client file (ldap_cachemgr) stopped working correctly. The problem seems to be quite tricky and it took use some to figure it out. It appears that after the update, if you have two ldap servers specified in /var/ldap/ldap_client_file, for example:

NS_LDAP_SERVERS= authldap-1.dev, authldap-2.dev

...ldap_cachemgr usually terminates with signal 6. Sometimes (once out of 10) it starts properly. Problem always shows up upon servers reboot and makes impossible to login using remote auth services. Reverting to just one server in configuration makes everything work fine - but that's something we don't want to do.

SMF reports:

/usr/lib/ldap/ldap_cachemgr: terminated by signal 6

Truss output of available as attachment (assertion failure).

Same thing happens in global zone, as well as in any non-global zone on the machine.

Any help is very appreciated - this bug holds us from upgrading really big serverfarm of oi148 machines.


Files

ldap_cachemgr_truss.txt (25.7 KB) ldap_cachemgr_truss.txt truss output of failed ldap_cachemgr call Mariusz B, 2013-01-09 10:12 AM
#1

Updated by Ken Mays over 7 years ago

  • Assignee set to OI illumos
  • Target version deleted (oi_151_stable)
#2

Updated by Karl Rossing over 7 years ago

I'm also running into this. Thanks for the work around.

#3

Updated by Tobias Oetiker over 7 years ago

seeing this with OmniOS r151006 too

#4

Updated by Ken Mays about 6 years ago

  • Status changed from New to Closed
  • Assignee changed from OI illumos to OI Userland
  • % Done changed from 0 to 100

Although we have ,5.11-2014.1.2.14667:20141008T133804Z for hipster-2014.1, the
focus for the OI distro is in supporting OpenLDAP 2.4.x solutions.

Resolved with:
,5.11-2014.1.2.2:20140827T082437Z
,5.11-2014.1.2.14667:20141008T133804Z

Also available in: Atom PDF